#ifndef __DBTMPFEATURE_H__
#define __DBTMPFEATURE_H__

#include "dbtable.h"

/// tmp database using DB_QUEUE
class dbtmpfeature : public dbtable
{
 public:
  dbtmpfeature();
  virtual ~dbtmpfeature();
  virtual int close();
  virtual int init( DbEnv *env, int clear = 0 );
  int setname( std::string name );
  unsigned int insert( char *data );
  unsigned int maxid();
  int get( unsigned int id, char *data );
  int get( unsigned int id, double *data, int *vecflag, int vecsz );
  int setrecsize( int sz );
  int getrecsize( int &sz );
 private:
  int recsz;
};

#endif
